# wxQuantize Class Reference
[Miscellaneous]

`#include <wx/quantize.h>`

Inheritance diagram for wxQuantize:
[legend]

## Detailed Description

Performs quantization, or colour reduction, on a wxImage.

Functions in this class are static and so a wxQuantize object need not be created.

##

Library: wxCore

Category: Miscellaneous

## Public Member Functions
| wxQuantize ()
| Constructor.
## Static Public Member Functions
static void | DoQuantize (unsigned int w, unsigned int h, unsigned char **in_rows, unsigned char **out_rows, unsigned char *palette, int desiredNoColours)
| Converts input bitmap(s) into 8bit representation with custom palette.
static bool | Quantize (const wxImage &src, wxImage &dest, wxPalette **pPalette, int desiredNoColours=236, unsigned char **eightBitData=0, int flags=wxQUANTIZE_INCLUDE_WINDOWS_COLOURS|wxQUANTIZE_FILL_DESTINATION_IMAGE|wxQUANTIZE_RETURN_8BIT_DATA)
| Reduce the colours in the source image and put the result into the destination image.
static bool | Quantize (const wxImage &src, wxImage &dest, int desiredNoColours=236, unsigned char **eightBitData=0, int flags=wxQUANTIZE_INCLUDE_WINDOWS_COLOURS|wxQUANTIZE_FILL_DESTINATION_IMAGE|wxQUANTIZE_RETURN_8BIT_DATA)
| This version sets a palette in the destination image so you don't have to manage it yourself.

List of all members.

## Constructor & Destructor Documentation

wxQuantize::wxQuantize | ( |  | ) |

Constructor.

You do not need to construct a wxQuantize object since its functions are static.

## Member Function Documentation

static void wxQuantize::DoQuantize | ( | unsigned int | w,
|  | unsigned int | h,
|  | unsigned char ** | in_rows,
|  | unsigned char ** | out_rows,
|  | unsigned char * | palette,
|  | int | desiredNoColours |
| ) |  |  | `[static]`

Converts input bitmap(s) into 8bit representation with custom palette.

in_rows and out_rows are arrays [0..h-1] of pointer to rows (in_rows contains w * 3 bytes per row, out_rows w bytes per row). Fills out_rows with indexes into palette (which is also stored into palette variable).

static bool wxQuantize::Quantize | ( | const wxImage & | src,
|  | wxImage & | dest,
|  | int | desiredNoColours = `236`,
|  | unsigned char ** | eightBitData = `0`,
|  | int | flags = `wxQUANTIZE_INCLUDE_WINDOWS_COLOURS|wxQUANTIZE_FILL_DESTINATION_IMAGE|wxQUANTIZE_RETURN_8BIT_DATA` |
| ) |  |  | `[static]`

This version sets a palette in the destination image so you don't have to manage it yourself.

static bool wxQuantize::Quantize | ( | const wxImage & | src,
|  | wxImage & | dest,
|  | wxPalette ** | pPalette,
|  | int | desiredNoColours = `236`,
|  | unsigned char ** | eightBitData = `0`,
|  | int | flags = `wxQUANTIZE_INCLUDE_WINDOWS_COLOURS|wxQUANTIZE_FILL_DESTINATION_IMAGE|wxQUANTIZE_RETURN_8BIT_DATA` |
| ) |  |  | `[static]`

Reduce the colours in the source image and put the result into the destination image.

Both images may be the same, to overwrite the source image.

Specify an optional palette pointer to receive the resulting palette. This palette may be passed to ConvertImageToBitmap, for example.

|  | [ top ]